<template>
  <!-- Vue-tailwind toggle component -->
  <t-toggle
    ref="t-toggle"
    v-model="vModel"
    :variant="variant"
    :variants="style.variants"
    :classes="style.classes"
    :fixed-classes="style.fixedClasses"
  >
    <!-- ? -->
  </t-toggle>
</template>

<script>
// Mixins
import Variantable from '@/mixins/variantable'
import VModelable from '@/mixins/v-modelable'
// Component style
import Style from './style'

/**
 * VToggle component
 */
export default {
  name: 'VToggle',
  mixins: [
    Variantable,
    VModelable
  ],
  props: {
    /**
     * For v-model
     */
    value: {
      type: Boolean,
      default () {
        return true
      }
    }
  },
  // Variantable option
  style: Style
}
</script>

<style lang="scss">
// ...
</style>

<docs lang="md">
To do
</docs>
